<?php 

	if (Session::get("tipo_usuario") != "3"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");

		$desc_cliente = filter_input(INPUT_POST, "desc_cliente_produto", FILTER_SANITIZE_STRING);
		$cashback = filter_input(INPUT_POST, "cashback_produto", FILTER_SANITIZE_STRING);
		$id_plano = encrypt_decode(filter_input(INPUT_POST, "id_plano", FILTER_SANITIZE_STRING));
		$ganhe_mais = filter_input(INPUT_POST, "ganhe_mais", FILTER_SANITIZE_STRING);
		$observacao_produto = filter_input(INPUT_POST, "observacao_produto", FILTER_DEFAULT);
		$id = encrypt_decode(filter_input(INPUT_POST, "id_produto", FILTER_SANITIZE_STRING));

		$model = new Model();

		// Edita o produto
		$result = $model->update("produto", [
			"porcentagem_desc_cliente" => !empty($desc_cliente) ? $desc_cliente : null,
			"porcentagem_cashback" => !empty($cashback) ? $cashback : null,
			"ganhe_mais" => $ganhe_mais,
			"observacao_produto" => $observacao_produto,
			"id_plano" => $id_plano,
			"status_produto" => "S"
		], [
			"id_produto" => $id
		]);

		if ($result > 0) {	
			// Gera o histórico do editar produto
			$last_query = $model->lastQuery();
			$model->insert("historico", [
				"comando_sql" => $last_query,
				"datahora_acao" => date("Y-m-d H:i:s"),
				"id_usuario" => Session::get("id_usuario")
			]);

			$model->commit();
			echo "<script>window.location.href='".show_link("/todos-produtos/?editar=true")."'</script>";
		}
		else{
			$model->rollback();
			echo "<script>window.location.href='".show_link("/todos-produtos/?editar=false")."'</script>";
		}
	}
	else{
		show_403();
	}

?>